# (c) 2002 Nuxeo SARL <http://nuxeo.com>
# (c) 2002 Florent Guillaume <mailto:fg@nuxeo.com>
# (c) 2002 Julien Jalon <mailto:jj@nuxeo.com>
# (c) 2002 Prfecture du Bas-Rhin, France
# (c) 2002 CIRB, Belgique
#
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: CPSTutorial.py,v 1.10 2002/09/23 13:56:10 jalon Exp $

"""
  CPSTutorial
"""


import string

from Globals import InitializeClass
from AccessControl import ClassSecurityInfo

from Products.CMFCore.CMFCorePermissions import View, ModifyPortalContent

from Products.NuxCPSDocuments.BaseDocument import BaseDocument, BaseDocument_adder

factory_type_information = (
    {'id': 'CPSTutorial',
     'description': 'A CPS Tutorial object  is editable through the web.',
     'title': 'CPSTutorial',
     'content_icon': '',
     'product': 'CPSTutorial',
     'factory': 'addCPSTutorial',
     'meta_type': 'CPSTutorial',
     'immediate_view': 'CPSTutorial_edit_form',
     'allow_discussion': 1,
     'filter_content_types': 0,
     'actions': ({'id': 'view',
                  'name': '_action_view_',
                  'action': 'CPSTutorial_view',
                  'permissions': (View,)},
                 {'id': 'edit',
                  'name': '_action_modify_',
                  'action': 'CPSTutorial_edit_form',
                  'permissions': (ModifyPortalContent,)},
                 {'id': 'create',
                  'name': '_action_create_',
                  'action': 'CPSTutorial_create_form',
                  'visible': 0,
                  'permissions': ()},
                 {'id': 'isdocument',
                  'name': 'isdocument',
                  'action': 'isdocument',
                  'visible': 0,
                  'permissions': ()},
                 {'id': 'issearchabledocument',
                  'name': 'issearchabledocument',
                  'action': 'issearchabledocument',
                  'visible': 0,
                  'permissions': ()},
                 ),
     },
    )



class CPSTutorial(BaseDocument):
    """
    CPSTutorial 
    """
    meta_type = 'CPSTutorial'

    security = ClassSecurityInfo()

    _properties = BaseDocument._properties + (
        {'id':'nom', 'type':'string', 'mode':'w', 'label':'Nom'},
	{'id':'prenom', 'type':'string', 'mode':'w', 'label':'Prenom'},
	)
    nom=''
    prenom=''


    security.declareProtected(View, 'SearchableText')
    def SearchableText(self):
        """
        Used by the catalog for basic full text indexing.
        """
        return '%s %s %s %s' % (self.title,
                                self.description,
                                self.nom,
                                self.prenom)


InitializeClass(CPSTutorial)


def addCPSTutorial(dispatcher, id, REQUEST=None, **kw):
    """Add a CPSTutorial."""
    ob = CPSTutorial(id, **kw)
    return BaseDocument_adder(dispatcher, id, ob, REQUEST=REQUEST)

